Bug 1020059 - UTF-8 name_label and product_label get mangled when rebuilding from SRPM
UTF-8 name_label and product_label get mangled when rebuilding from SRPM
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 19:07 EDT by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-10-16 19:07:53 EDT
Description of problem:
When rebuilding books translated into languages with non-latin scripts, web_name_label and web_product_label get mangled.

Version-Release number of selected component (if applicable):
publican-3.9.9-0.fc19.t7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Package a book translated into a language with a non-latin script (eg: ru-RU)
2. Extract the sources from the SRPM and repackage them
3. Compare the %post section of the spec files generated by step 1 and step 2

Actual results:
--name_label and --product_label are correct in the first spec file, but mangled in the repackaged spec file

Expected results:
--name_label and --product_label don't change when repackaging

Additional info:
Examples:

First packaging:

%post -n Red_Hat_Enterprise_Linux-Installation_Guide-6-web-ru-RU
publican update_db --add --lang="ru-RU" --formats="html,html-single,pdf,epub" --name="Installation_Guide" --version="6" --product="Red_Hat_Enterprise_Linux" --subtitle="Руководство по установке Red Hat Enterprise Linux 6 для всех архитектур" --abstract="Руководство содержит информацию о загрузке программы anaconda и установке Red Hat Enterprise Linux 6 с ее помощью на 32- и 64-битных платформах x86, 64-битных платформах POWER и IBM System z. Дополнительно будут рассмотрены способы установки через VNC, PXE, а также автоматизация установки. Наконец, вы познакомитесь с типичными задачами, выполняемыми после установки, и способами решения наиболее распространенных проблем при установке Red Hat Enterprise Linux 6." --name_label="Руководство_по_установке"   --site_config="/etc/publican-website.cfg"  --book_version="1.0-4.1" --book_src_lang="en-US"

Second packaging: 

%post -n Red_Hat_Enterprise_Linux-Installation_Guide-6-web-ru-RU
publican update_db --add --lang="ru-RU" --formats="html,html-single,pdf,epub" --name="Installation_Guide" --version="6" --product="Red_Hat_Enterprise_Linux" --subtitle="Руководство по установке Red Hat Enterprise Linux 6 для всех архитектур" --abstract="Руководство содержит информацию о загрузке программы anaconda и установке Red Hat Enterprise Linux 6 с ее помощью на 32- и 64-битных платформах x86, 64-битных платформах POWER и IBM System z. Дополнительно будут рассмотрены способы установки через VNC, PXE, а также автоматизация установки. Наконец, вы познакомитесь с типичными задачами, выполняемыми после установки, и способами решения наиболее распространенных проблем при установке Red Hat Enterprise Linux 6." --name_label="Руководство_по_установке"   --site_config="/etc/publican-website.cfg"  --book_version="1.0-4.1"
Comment 2 HSS Product Manager 2013-10-16 21:37:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-10-17 01:55:14 EDT
I had to rework the config file handling. It's rather intrusive so packaging and repackaging from shipped sources needs some extra testing.

To ssh://git.fedorahosted.org/git/publican.git
   d084e0b..f2ec67c  HEAD -> devel
Comment 4 Ruediger Landmann 2013-10-17 03:20:33 EDT
Verified in publican-3.9.9-0.fc19.t11.noarch

Note You need to log in before you can comment on or make changes to this bug.